Skip to main content
GET
Get all segments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

paramsIO
object
required
optionalFields
string[]

Response

OK

conditionsData
object
required

Conditions according to which Kameleoon segments visitors

name
string
required

Name of the segment

Example:

"My segment"

segmentType
enum<string>
required

Segment type refers to the classification of segments based on their usage.

Available options:
STANDARD,
KEY_MOMENT,
FEATURE_FLAG,
ALL
siteId
integer<int64>
required

Site ID of the project where the user creates the segment

Example:

8372

audienceTracking
boolean

Specifies whether the segment is tracking an audience.

audienceTrackingEditable
boolean
read-only

This flag shows if a user can enable/disable audienceTracking. In some cases, users cannot disable audienceTracking. For example, Kameleoon tracks segments with predictive conditions by default.

campaignType
enum<string>
read-only

Campaign type derived from segment type.

Available options:
ALL,
FEATURE,
WEB
conditionDataList
object[]

Conditions by which Kameleoon segments visitors in list form

conditionDataTree
object

A tree of conditions for segmenting visitors. Each node is either a ConditionsDataLevel, which combines child conditions with a logical operator (AND or OR), or a TargetingCondition, which represents a single condition.

createdBy
integer<int64>
read-only

Account ID of the creator of the segment

dateCreated
string<date-time>
read-only

Date of segment creation

dateModified
string<date-time>
read-only

Date of segment modification

description
string

Description of the segment

Example:

"The segment is for new ab tests"

experimentAmount
integer<int64>
read-only

Number of experiments using this segment. This is an optional field that the request body includes

experiments
integer<int64>[]
read-only

List of experiment IDs using this segment. This is an optional field that the request body includes

featureFlagAmount
integer<int64>
read-only

Number of feature flags that this goal uses. This is an optional field that the request must specify in request params.

hasSegmentCondition
boolean
read-only

Indicates if the segment has conditions

id
integer<int64>
read-only

Unique ID of the segment

isFavorite
boolean

Indicates whether a user marked the segment as a favorite.

List of links to related entities. This is an optional field that the request body includes.

personalizationAmount
integer<int64>
read-only

Number of personalizations using this segment. This is an optional field that the request body includes

personalizations
integer<int64>[]
read-only

List of personalization IDs using this segment. This is an optional field that the request body includes

tags
string[]
usedBySegmentCondition
boolean
read-only
userVisible
boolean

Indicates whether a user has marked the segment as hidden from the user